summaryrefslogtreecommitdiff
path: root/tests/example-provider
diff options
context:
space:
mode:
authorMicah Anderson <micah@riseup.net>2017-11-28 11:35:01 -0500
committerMicah Anderson <micah@riseup.net>2017-11-28 11:35:01 -0500
commit0d251e2ceddd3e02ed8bba8725830689dbdd1397 (patch)
tree37d7096d9e458ca1e6431dff8a2f571553011c44 /tests/example-provider
parent93a181d44e2d8163ae44945aac1b6477e268170d (diff)
parentbf6c56d86c7ba45e7ca766d990a9e9162025e5ac (diff)
Merge tag 'refs/tags/0.10.0' into stable
Release 0.10.0
Diffstat (limited to 'tests/example-provider')
-rw-r--r--tests/example-provider/Vagrantfile4
-rwxr-xr-xtests/example-provider/vagrant/add-pixelated.sh8
-rwxr-xr-xtests/example-provider/vagrant/configure-leap.sh71
-rwxr-xr-xtests/example-provider/vagrant/install-platform.pp3
-rw-r--r--tests/example-provider/vagrant/vagrant.config4
5 files changed, 47 insertions, 43 deletions
diff --git a/tests/example-provider/Vagrantfile b/tests/example-provider/Vagrantfile
index 1e410f5e..e909e79b 100644
--- a/tests/example-provider/Vagrantfile
+++ b/tests/example-provider/Vagrantfile
@@ -42,6 +42,10 @@ Vagrant.configure("2") do |config|
config.ssh.username = "vagrant"
+ # Enable private networking so the box can be accessed directly,
+ # not only via port forwaring
+ config.vm.network "private_network", type: "dhcp"
+
# forward leap_web ports
config.vm.network "forwarded_port", guest: 443, host:4443
# forward pixelated ports
diff --git a/tests/example-provider/vagrant/add-pixelated.sh b/tests/example-provider/vagrant/add-pixelated.sh
index f9908947..38a7ea47 100755
--- a/tests/example-provider/vagrant/add-pixelated.sh
+++ b/tests/example-provider/vagrant/add-pixelated.sh
@@ -6,8 +6,8 @@
cd "$PROVIDERDIR"
-if ! git submodule status files/puppet/modules/pixelated > /dev/null 2>&1; then
- git submodule add https://github.com/pixelated/puppet-pixelated.git files/puppet/modules/pixelated
+if ! [ -d files/puppet/modules/pixelated ]; then
+ git clone https://github.com/pixelated/puppet-pixelated.git files/puppet/modules/pixelated
fi
echo '{}' > services/pixelated.json
@@ -26,7 +26,7 @@ $LEAP $OPTS -v 2 test --continue
echo -e '\n===========================================================================================================\n\n'
echo -e 'You are now ready to use your vagrant Pixelated provider.\n'
-echo -e 'The LEAP webapp is available at https://localhost:4443. Use it to register an account before using the Pixelated Useragent.\n'
-echo -e 'The Pixelated Useragent is available at https://localhost:8080\n'
+echo -e 'The LEAP webapp is available at https://localhost:4443. Use it to register an account before using the Pixelated User Agent.\n'
+echo -e 'The Pixelated User Agent is available at https://localhost:8080\n'
echo -e 'Please add an exception for both sites in your browser dialog to allow the self-signed certificate.\n'
diff --git a/tests/example-provider/vagrant/configure-leap.sh b/tests/example-provider/vagrant/configure-leap.sh
index fd34d7ea..7a1efc71 100755
--- a/tests/example-provider/vagrant/configure-leap.sh
+++ b/tests/example-provider/vagrant/configure-leap.sh
@@ -1,45 +1,53 @@
-#!/bin/bash
+#!/bin/sh
+# Exit on failure
+set -e
+# shellcheck disable=SC1091
. /vagrant/vagrant/vagrant.config
echo '==============================================='
-echo 'configuring leap'
+echo "Configuring LEAP in ${PROVIDERDIR}"
echo '==============================================='
# purge $PROVIDERDIR so this script can be run multiple times
-[ -e $PROVIDERDIR ] && rm -rf $PROVIDERDIR
+[ -e "$PROVIDERDIR" ] && rm -rf "$PROVIDERDIR"
-mkdir -p $PROVIDERDIR
-chown ${USER}:${USER} ${PROVIDERDIR}
-cd $PROVIDERDIR
+mkdir -p "$PROVIDERDIR"
+chown "${USER}:${USER}" "${PROVIDERDIR}"
+cd "$PROVIDERDIR" || exit
-$LEAP $OPTS new --contacts "$contacts" --domain "$provider_domain" --name "$provider_name" --platform="$PLATFORMDIR" .
-echo -e '\n@log = "./deploy.log"' >> Leapfile
+$LEAP new --contacts "${contacts:?}" --domain "${provider_domain:?}" --name "${provider_name:?}" --platform="$PLATFORMDIR" .
+printf '\n@log = "./deploy.log"' >> Leapfile
-if [ ! -e /home/${USER}/.ssh/id_rsa ]; then
- $SUDO ssh-keygen -f /home/${USER}/.ssh/id_rsa -P ''
+if [ ! -e "/home/${USER}/.ssh/id_rsa" ]; then
+ $SUDO ssh-keygen -f "/home/${USER}/.ssh/id_rsa" -P ''
[ -d /root/.ssh ] || mkdir /root/.ssh
- cat /home/${USER}/.ssh/id_rsa.pub >> /root/.ssh/authorized_keys
+ cat "/home/${USER}/.ssh/id_rsa.pub" >> /root/.ssh/authorized_keys
fi
-$SUDO mkdir -p ${PROVIDERDIR}/files/nodes/${NODE}
+$SUDO mkdir -p "${PROVIDERDIR}/files/nodes/${NODE}"
sh -c "cat /etc/ssh/ssh_host_rsa_key.pub | cut -d' ' -f1,2 >> $PROVIDERDIR/files/nodes/$NODE/${NODE}_ssh.pub"
-chown ${USER}:${USER} ${PROVIDERDIR}/files/nodes/${NODE}/${NODE}_ssh.pub
+chown "${USER}:${USER}" "${PROVIDERDIR}/files/nodes/${NODE}/${NODE}_ssh.pub"
-$LEAP $OPTS add-user --self
-$LEAP $OPTS cert ca
-$LEAP $OPTS cert csr
-$LEAP $OPTS node add $NODE ip_address:"$(facter ipaddress)" couch.mode:plain services:"$services" tags:production
-echo '{ "webapp": { "admins": ["testadmin"] } }' > services/webapp.json
+$LEAP add-user --self
+$LEAP cert ca
+$LEAP cert csr
+
+# Try to see if there's a private IP for eth1
+# Otherwise take eth0
+# (virtualbox and libvirt backends behave differenently setting up
+# direct accessible private networks.
+# see https://www.vagrantup.com/docs/networking/private_network.html
+IP="$(facter ipaddress_eth1)"
+[ "$IP" = '' ] && IP="$(facter ipaddress_eth0)"
+$LEAP node add "$NODE" ip_address:"${IP}" couch.mode:plain services:"${services:?}" tags:production
-$LEAP $OPTS compile
+echo '{ "webapp": { "admins": ["testadmin"] } }' > services/webapp.json
-$GIT init
-$GIT add .
-$GIT commit -m'configured provider'
+$LEAP compile
-$LEAP $OPTS node init $NODE
+$LEAP node init "$NODE"
if [ $? -eq 1 ]; then
echo 'node init failed'
exit 1
@@ -50,10 +58,7 @@ fi
# workaround is to install rake as gem
gem install rake
-$LEAP $OPTS -v 2 deploy
-
-$GIT add .
-$GIT commit -m'initialized and deployed provider'
+$LEAP -v 2 deploy
# Vagrant: leap_mx fails to start on jessie
# https://leap.se/code/issues/7755
@@ -69,7 +74,7 @@ echo '==============================================='
echo 'testing the platform'
echo '==============================================='
-$LEAP $OPTS -v 2 test --continue
+$LEAP -v 2 test --continue
echo '==============================================='
echo 'setting node to demo-mode'
@@ -80,13 +85,13 @@ postconf -e default_transport='error: in demo mode'
curl -s -k https://localhost/1/users.json -d "user%5Blogin%5D=testuser&user%5Bpassword_salt%5D=7d4880237a038e0e&user%5Bpassword_verifier%5D=b98dc393afcd16e5a40fb57ce9cddfa6a978b84be326196627c111d426cada898cdaf3a6427e98b27daf4b0ed61d278bc856515aeceb2312e50c8f816659fcaa4460d839a1e2d7ffb867d32ac869962061368141c7571a53443d58dc84ca1fca34776894414c1090a93e296db6cef12c2cc3f7a991b05d49728ed358fd868286"
curl -s -k https://localhost/1/users.json -d "user%5Blogin%5D=testadmin&user%5Bpassword_salt%5D=ece1c457014d8282&user%5Bpassword_verifier%5D=9654d93ab409edf4ff1543d07e08f321107c3fd00de05c646c637866a94f28b3eb263ea9129dacebb7291b3374cc6f0bf88eb3d231eb3a76eed330a0e8fd2a5c477ed2693694efc1cc23ae83c2ae351a21139701983dd595b6c3225a1bebd2a4e6122f83df87606f1a41152d9890e5a11ac3749b3bfcf4407fc83ef60b4ced68"
-echo -e '\n===========================================================================================================\n\n'
-echo -e 'You are now ready to use your local LEAP provider.\n'
+printf '\n===========================================================================================================\n\n'
+printf 'You are now ready to use your local LEAP provider.\n'
echo 'If you want to use the *Bitmask client* with your provider, please update your /etc/hosts with following dns overrides:'
$LEAP list --print ip_address,domain.full,dns.aliases | sed 's/^.* //' | sed 's/, null//g' | tr -d '\]\[",'
echo 'Please see https://leap.se/en/docs/platform/tutorials/vagrant#use-the-bitmask-client-to-do-an-initial-soledad-sync for more details how to use and test your LEAP provider.'
-echo -e "\nIf you don't want to use the Bitmask client, please ignore the above instructions.\n"
-echo -e 'The LEAP webapp is now available at https://localhost:4443\n'
-echo -e 'Please add an exception in your browser dialog to allow the self-signed certificate.\n'
+printf "\nIf you don't want to use the Bitmask client, please ignore the above instructions.\n"
+printf 'The LEAP webapp is now available at https://localhost:4443\n'
+printf 'Please add an exception in your browser dialog to allow the self-signed certificate.\n'
diff --git a/tests/example-provider/vagrant/install-platform.pp b/tests/example-provider/vagrant/install-platform.pp
index 223853c1..9cefcf7c 100755
--- a/tests/example-provider/vagrant/install-platform.pp
+++ b/tests/example-provider/vagrant/install-platform.pp
@@ -10,6 +10,3 @@ class { '::leap::cli::install':
file { [ '/srv/leap', '/srv/leap/configuration', '/var/log/leap' ]:
ensure => directory
}
-
-# install prerequisites for configuring the provider
-include ::git
diff --git a/tests/example-provider/vagrant/vagrant.config b/tests/example-provider/vagrant/vagrant.config
index 60d2a52c..07222c3f 100644
--- a/tests/example-provider/vagrant/vagrant.config
+++ b/tests/example-provider/vagrant/vagrant.config
@@ -18,6 +18,4 @@ NODE='node1'
SUDO="sudo -u ${USER}"
PROVIDERDIR="/home/${USER}/leap/configuration"
PLATFORMDIR="/srv/leap_platform"
-LEAP="$SUDO /usr/local/bin/leap"
-GIT="$SUDO git"
-
+LEAP="$SUDO /usr/local/bin/leap $OPTS"